Debian Bug report logs - #689619
expat: autoconf update for arm64 building

version graph

Package: expat; Maintainer for expat is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for expat is src:expat.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 15:06:02 UTC

Severity: wishlist

Tags: patch, upstream

Found in version 2.1.0

Fixed in version expat/2.1.0-2

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#689619; Package expat. (Thu, 04 Oct 2012 15:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 04 Oct 2012 15:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: expat: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 16:04:23 +0100
[Message part 1 (text/plain, inline)]
Package: expat
Version: 2.1.0
Severity: wishlist
Tags: upstream patch

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[expat-2.1.0-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Wed, 12 Dec 2012 17:36:05 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Wed, 12 Dec 2012 17:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 689619-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 689619-close@bugs.debian.org
Subject: Bug#689619: fixed in expat 2.1.0-2
Date: Wed, 12 Dec 2012 17:32:32 +0000
Source: expat
Source-Version: 2.1.0-2

We believe that the bug you reported is fixed in the latest version of
expat, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689619@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated expat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Dec 2012 17:44:15 +0100
Source: expat
Binary: libexpat1-dev libexpat1 libexpat1-udeb expat
Architecture: source amd64
Version: 2.1.0-2
Distribution: experimental
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 expat      - XML parsing C library - example application
 libexpat1  - XML parsing C library - runtime library
 libexpat1-dev - XML parsing C library - development kit
 libexpat1-udeb - XML parsing C library - runtime library (udeb)
Closes: 689619
Changes: 
 expat (2.1.0-2) experimental; urgency=low
 .
   * QA upload, set maintainer address to the QA team.
   * Stop building the 64bit packages.
   * Move expat_config.h into the multiarch include location.
   * Make libexpat1-dev Multi-Arch: same.
   * Update config.{guess,sub} for aarch64 (Wookey). Closes: #689619.
Checksums-Sha1: 
 51ff5024d8b59a57fde8b738f738e3fe122f1f96 1448 expat_2.1.0-2.dsc
 58a080e60a4504372b58faef55a4e1694308816e 14806 expat_2.1.0-2.debian.tar.gz
 d24db63a6dcf00917958e5efbd60fad0d7393e99 223600 libexpat1-dev_2.1.0-2_amd64.deb
 175c2690da335184d61cc1fc27527509a067c75c 138252 libexpat1_2.1.0-2_amd64.deb
 c2cf655da1ce31774cfd5c413845a99a8327d209 52448 libexpat1-udeb_2.1.0-2_amd64.udeb
 63d746366329dc8b1dd998456d617cf70a8fb92c 25326 expat_2.1.0-2_amd64.deb
Checksums-Sha256: 
 ab3cda40528760d1cc9374c502a7c1c5ed0eac44330c363a35d7d7a4da10c8d9 1448 expat_2.1.0-2.dsc
 38351295ea6c44b83c70313a2fc88e43eec5decfecec21ac3312957a16f59cdb 14806 expat_2.1.0-2.debian.tar.gz
 cba3785e130f2ce6ddb11ac2844ad37e953aa5e1eaff26519f23dead710ba69e 223600 libexpat1-dev_2.1.0-2_amd64.deb
 6b8140c1d518f9da132efebb8f1911d5b7a8322997f9488c3b6241c61444907e 138252 libexpat1_2.1.0-2_amd64.deb
 a42ec39ec14d00924c6403cd18748cd2089ca4fb5f75fe55c7ee1e137f1047a2 52448 libexpat1-udeb_2.1.0-2_amd64.udeb
 a1b4e7bf480cfa6011f30c170555c3fa57686b361b817e91cc6da89ba54a9599 25326 expat_2.1.0-2_amd64.deb
Files: 
 b4a408272120a51a3ab83ad5cb93f93c 1448 text optional expat_2.1.0-2.dsc
 3d3a3b83140dfdc525e588dd08d23e70 14806 text optional expat_2.1.0-2.debian.tar.gz
 a1e33ef583248a8c296909cc328c92ee 223600 libdevel optional libexpat1-dev_2.1.0-2_amd64.deb
 34fe91c60bb612d1b083d1a22a78bdcf 138252 libs optional libexpat1_2.1.0-2_amd64.deb
 563bee1b0996c0b97c6028ddea1390c0 52448 debian-installer extra libexpat1-udeb_2.1.0-2_amd64.udeb
 7b460cda572eb28d59518f8fee55f298 25326 text optional expat_2.1.0-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlDIvBoACgkQStlRaw+TLJwjqACfXuM1fpoYBcYyp2wdepLYOXtT
vRcAnRnqV1KFqjqzX9c2TsrNv1JkKtX8
=1puU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Jan 2013 07:26:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:20:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.